# rpmio/ugid.c File Reference

More...

`#include "system.h"`
`#include "ugid.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions

int | unameToUid (const char *thisUname, uid_t *uid)
int | gnameToGid (const char *thisGname, gid_t *gid)
char * | uidToUname (uid_t uid)
char * | gidToGname (gid_t gid)

## Detailed Description

Definition in file ugid.c.

## Function Documentation

char* gidToGname | ( | gid_t | gid | ) |

| Definition at line 133 of file ugid.c. References xrealloc().

int gnameToGid | ( | const char * | thisGname,
|  | gid_t * | gid
| ) |

| Definition at line 59 of file ugid.c. References xrealloc(). Referenced by psmStage(), rpmVerifyFile(), and vfs_parse_ls_lga().

char* uidToUname | ( | uid_t | uid | ) |

| Definition at line 102 of file ugid.c. References xrealloc(). Referenced by rpmVerifyFile().

int unameToUid | ( | const char * | thisUname,
|  | uid_t * | uid
| ) |

| Definition at line 16 of file ugid.c. References xrealloc(). Referenced by psmStage(), and vfs_parse_ls_lga().